Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.protocol.fgjdbc
Class FgjdbcCache

    java.lang.Object
      |
      +--com.macromedia.generator.protocol.fgjdbc.FgjdbcCache

All Implemented Interfaces:
  java.lang.Runnable

public class FgjdbcCache
extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`protected` | `FgjdbcCache()`

Method Summary
`(package private) static void` | `()`
`protected void` | `finalize()`
`static FgjdbcCache` | `getCache()`
`java.lang.String` | `getCacheValue(java.lang.String s, java.lang.String s1, java.lang.String s2, java.lang.String s3, java.lang.String s4)`
`void` | `run()`
`void` | `setCacheValue(java.lang.String s, java.lang.String s1, java.lang.String s2, java.lang.String s3, java.lang.String s4, java.lang.String s5, int i)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FgjdbcCache

    protected FgjdbcCache()

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getCache

    public static FgjdbcCache getCache()

### getCacheValue

    public java.lang.String getCacheValue(java.lang.String s,
                                          java.lang.String s1,
                                          java.lang.String s2,
                                          java.lang.String s3,
                                          java.lang.String s4)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### setCacheValue

    public void setCacheValue(java.lang.String s,
                              java.lang.String s1,
                              java.lang.String s2,
                              java.lang.String s3,
                              java.lang.String s4,
                              java.lang.String s5,
                              int i)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD